#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);

    long long n,x;
    cin>> n>> x;

    long long mini = x;
    long long maxi = x;

    for(int i = 0; i < n; i++)
    {
        long long a;
        cin>> a;
        mini = min(a,mini);
        maxi = max(a,maxi);
    }

    long long resenje;
    if(maxi != x) resenje = abs(abs(x - mini) + abs(maxi-mini));
    else resenje = maxi - mini; /// ili x - mini svjd je

    cout << resenje;

    return 0;
}